package com.ruoyi.basetyre.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备管理对象 base_device
 * 
 * @author Yangwl
 * @date 2023-02-09
 */
public class BaseDevice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 轮胎厂编码 */
    @Excel(name = "轮胎厂编码")
    private String tyreFacCode;

    /** 企业编码 */
    @Excel(name = "企业编码")
    private String companyCode;

    /** 物联卡卡号 */
    @Excel(name = "物联卡卡号")
    private String internetThingsNo;

    /** sim卡识别码 */
    @Excel(name = "sim卡识别码")
    private String simCode;

    /** 设备类型 */
    @Excel(name = "设备类型")
    private Long deviceType;

    /** 状态 */
    @Excel(name = "状态")
    private Long state;

    /** 激活时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "激活时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date activeTime;

    /** 最后通讯时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最后通讯时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastRunTime;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Long isDelete;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private String createId;

    /** 创建者姓名 */
    @Excel(name = "创建者姓名")
    private String createName;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date modifyTime;

    /** 修改者ID */
    @Excel(name = "修改者ID")
    private String modifyId;

    /** 修改者账号 */
    @Excel(name = "修改者账号")
    private String modifyBy;

    /** 编辑者姓名 */
    @Excel(name = "编辑者姓名")
    private String modifyName;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setTyreFacCode(String tyreFacCode) 
    {
        this.tyreFacCode = tyreFacCode;
    }

    public String getTyreFacCode() 
    {
        return tyreFacCode;
    }
    public void setCompanyCode(String companyCode) 
    {
        this.companyCode = companyCode;
    }

    public String getCompanyCode() 
    {
        return companyCode;
    }
    public void setInternetThingsNo(String internetThingsNo) 
    {
        this.internetThingsNo = internetThingsNo;
    }

    public String getInternetThingsNo() 
    {
        return internetThingsNo;
    }
    public void setSimCode(String simCode) 
    {
        this.simCode = simCode;
    }

    public String getSimCode() 
    {
        return simCode;
    }
    public void setDeviceType(Long deviceType) 
    {
        this.deviceType = deviceType;
    }

    public Long getDeviceType() 
    {
        return deviceType;
    }
    public void setState(Long state) 
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }
    public void setActiveTime(Date activeTime) 
    {
        this.activeTime = activeTime;
    }

    public Date getActiveTime() 
    {
        return activeTime;
    }
    public void setLastRunTime(Date lastRunTime) 
    {
        this.lastRunTime = lastRunTime;
    }

    public Date getLastRunTime() 
    {
        return lastRunTime;
    }
    public void setIsDelete(Long isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() 
    {
        return isDelete;
    }
    public void setCreateId(String createId) 
    {
        this.createId = createId;
    }

    public String getCreateId() 
    {
        return createId;
    }
    public void setCreateName(String createName) 
    {
        this.createName = createName;
    }

    public String getCreateName() 
    {
        return createName;
    }
    public void setModifyTime(Date modifyTime) 
    {
        this.modifyTime = modifyTime;
    }

    public Date getModifyTime() 
    {
        return modifyTime;
    }
    public void setModifyId(String modifyId) 
    {
        this.modifyId = modifyId;
    }

    public String getModifyId() 
    {
        return modifyId;
    }
    public void setModifyBy(String modifyBy) 
    {
        this.modifyBy = modifyBy;
    }

    public String getModifyBy() 
    {
        return modifyBy;
    }
    public void setModifyName(String modifyName) 
    {
        this.modifyName = modifyName;
    }

    public String getModifyName() 
    {
        return modifyName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("tyreFacCode", getTyreFacCode())
            .append("companyCode", getCompanyCode())
            .append("internetThingsNo", getInternetThingsNo())
            .append("simCode", getSimCode())
            .append("deviceType", getDeviceType())
            .append("state", getState())
            .append("activeTime", getActiveTime())
            .append("lastRunTime", getLastRunTime())
            .append("isDelete", getIsDelete())
            .append("createTime", getCreateTime())
            .append("createId", getCreateId())
            .append("createBy", getCreateBy())
            .append("createName", getCreateName())
            .append("modifyTime", getModifyTime())
            .append("modifyId", getModifyId())
            .append("modifyBy", getModifyBy())
            .append("modifyName", getModifyName())
            .toString();
    }
}
